
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest5 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test001"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException((-0.0326430622210781d), (-24));

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test002"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-24), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test003"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(37660, 135);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 37795);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test004"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-381), (-381));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test005"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 1030301L);
    java.math.BigInteger bigInteger8 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 9223372036854775807L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, (-1704296007));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger8);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test006"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(50, 8);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test007"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(3.1415926535897927d, (-802116759));

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test008"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-218251901136858694L), 201L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-218251901136858694L));

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test009"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(99.99999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.641588833612778d);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test010"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    int i13 = fraction12.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.multiply(0);
    float f16 = fraction12.floatValue();
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException19 = new org.apache.commons.math3.exception.NotPositiveException(localizable17, (java.lang.Number)fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction12.add(fraction18);
    org.apache.commons.math3.fraction.FractionField fractionField21 = fraction20.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f16 == 118.2f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField21);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test011"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(1000, 593400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 593400000);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test012"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-11L), 8002276628588517377L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8002276628588517377L);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test013"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil((-0.6049376805000515d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.0d));

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test014"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(29730);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test015"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException(localizable1, (java.lang.Number)fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.add(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction15.add(9);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction14.subtract(fraction19);
    int i21 = fraction20.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction20.multiply(0);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException25 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction7, (java.lang.Number)0, false);
    boolean b26 = numberIsTooSmallException25.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test016"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-319284445), 10000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test017"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.19999997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test018"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(1.0710061395900508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3746501959824644d);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test019"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(638, (-37652));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test020"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(0.017452406306390878d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test021"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(1.5707099445536936d, 49L, 118L);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = fractionConversionException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test022"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.017452406306390878d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test023"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0.14640582474206015d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test024"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)11013.232920103323d);
    java.lang.Number number2 = notPositiveException1.getMin();
    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException6 = new org.apache.commons.math3.fraction.FractionConversionException(2.8994418914777755E93d, (-1L), 218251901136858694L);
    notPositiveException1.addSuppressed((java.lang.Throwable)fractionConversionException6);
    boolean b8 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test025"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 2040200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 2040200L);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test026"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(638, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 637);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test027"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(3935345678538648562L, (-103L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test028"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.fraction.Fraction fraction5 = new org.apache.commons.math3.fraction.Fraction(10, 1);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.reciprocal();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException8 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable1, (java.lang.Number)0.0f, (java.lang.Number)fraction6, false);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.add(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction9.add(9);
    double d14 = fraction13.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.add(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction17.subtract(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction19.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.add(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction21.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction24.negate();
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction24.abs();
    int i27 = fraction19.compareTo(fraction24);
    org.apache.commons.math3.fraction.FractionField fractionField28 = fraction24.getField();
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction30 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction29.add(fraction30);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction29.add(9);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction29.abs();
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction29.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction24.add(fraction36);
    org.apache.commons.math3.fraction.Fraction fraction38 = fraction13.add(fraction36);
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction6.divide(fraction38);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException40 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction38);
    java.lang.Number number41 = notPositiveException40.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number41);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test029"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test030"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(593400000, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test031"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(96.17070133808512d, 0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 96.17070133808512d);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test032"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(9223372036854775807L, 110L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test033"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(989);
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction6.add(905);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction1.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.add(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction15.negate();
    long long17 = fraction16.longValue();
    int i18 = fraction6.compareTo(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == (-2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 1);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test034"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(989.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 31.45472937413387d);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test035"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)0.4f);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    java.lang.Number number4 = notPositiveException2.getMin();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str5 = notPositiveException2.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + 0+ "'", number4.equals(0));

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test036"); }


    int i2 = org.apache.commons.math3.util.FastMath.min((-2), 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2));

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test037"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(49, 29730);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1456770);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test038"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(9.30694361723849d, 1.1812052406649112d, 49);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test039"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.556943220947281d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5852919815088318d));

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test040"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(1.0003758302174048d, (-57.29577951308232d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.978700664276444d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test041"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(127, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 124);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test042"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.7853087663494565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-44.994877926449135d));

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.0015160520586796726d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0015172018465746723d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test044"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.02690406094827656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02690406094827656d);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test045"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction0.add(9);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction0.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.multiply(6);
    org.apache.commons.math3.fraction.Fraction fraction12 = new org.apache.commons.math3.fraction.Fraction(3.2293425913971796d, 4.787471363367296d, (-802107759));
    int i13 = fraction8.compareTo(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.add(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.subtract(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.add(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction21.add(9);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction20.subtract(fraction25);
    int i27 = fraction26.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction26.multiply(0);
    int i30 = fraction29.intValue();
    org.apache.commons.math3.fraction.Fraction fraction31 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction32 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction31.add(fraction32);
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction31.add(9);
    double d36 = fraction35.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction37 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction38 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction37.add(fraction38);
    org.apache.commons.math3.fraction.Fraction fraction40 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.subtract(fraction40);
    org.apache.commons.math3.fraction.Fraction fraction42 = fraction41.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction43 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction44 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction45 = fraction43.add(fraction44);
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction43.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction47 = fraction46.negate();
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction46.abs();
    int i49 = fraction41.compareTo(fraction46);
    org.apache.commons.math3.fraction.FractionField fractionField50 = fraction46.getField();
    org.apache.commons.math3.fraction.Fraction fraction51 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction52 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction53 = fraction51.add(fraction52);
    org.apache.commons.math3.fraction.Fraction fraction55 = fraction51.add(9);
    org.apache.commons.math3.fraction.Fraction fraction56 = fraction51.abs();
    org.apache.commons.math3.fraction.Fraction fraction58 = fraction51.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction59 = fraction46.add(fraction58);
    org.apache.commons.math3.fraction.Fraction fraction60 = fraction35.add(fraction58);
    int i61 = fraction29.compareTo(fraction60);
    org.apache.commons.math3.fraction.Fraction fraction63 = fraction29.divide((-991000));
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction64 = fraction8.divide(fraction63);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i61 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test046"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0.7745966692414834d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test047"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.40000007f, (-0.8074406811473708d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.40000004f);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test048"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-319284445), 247);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test049"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-8));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test050"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(37660, (-682104791));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test051"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.5436095554149374d, 1.0710061395900508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5436095554149374d);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test052"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(53.020047340902416d, 0.16172341595680081d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0252330929282516d));

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test053"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs((-17));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 17);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test054"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(360.0f, 2154);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test055"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException(localizable1, (java.lang.Number)fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.add(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction15.add(9);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction14.subtract(fraction19);
    int i21 = fraction20.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction20.multiply(0);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException25 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction7, (java.lang.Number)0, false);
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction26.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction26.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction30 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction31 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction30.add(fraction31);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction30.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction26.divide(fraction30);
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction7.multiply(fraction26);
    float f36 = fraction35.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f36 == 0.4f);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test056"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.divide(6);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction12.divide((-802116759));
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.add(49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test057"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(2.5454331673752666d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.40576169873294504d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test058"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(0, 1000);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test059"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(20200L, 989L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 19211L);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test060"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(795);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test061"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(29647);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction2);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test062"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(545.4277923041749d, (-1810386623));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test063"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0L, 4153597579675507265L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test064"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(2.1751108688454846E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test065"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-6540675367741592703L), 101L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-6540675367741592804L));

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test066"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-396753919), (-218251901136858695L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test067"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.subtract(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.add(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction12.add(9);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction11.subtract(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction3.divide(fraction11);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException21 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction18, (java.lang.Number)3, true);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException23 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1), (java.lang.Number)fraction18, false);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction18.multiply(124);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test068"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.9408416071039944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test069"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(7.2759576E-12f, 148.4131591025766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 7.2759585E-12f);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test070"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(905);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction6.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.subtract(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.add(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.subtract(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction13.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f17 = fraction16.floatValue();
    int i18 = fraction13.compareTo(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction16.negate();
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction16.subtract(fraction20);
    int i22 = fraction8.compareTo(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction8.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.add(fraction26);
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction25.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction25.subtract((-989));
    org.apache.commons.math3.fraction.FractionField fractionField31 = fraction30.getField();
    int i32 = fraction30.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction33 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction34 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction33.add(fraction34);
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction33.add(9);
    double d38 = fraction37.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction39 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction40 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.add(fraction40);
    org.apache.commons.math3.fraction.Fraction fraction42 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction43 = fraction41.subtract(fraction42);
    org.apache.commons.math3.fraction.Fraction fraction44 = fraction43.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction45 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction46 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction47 = fraction45.add(fraction46);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction45.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction49 = fraction48.negate();
    org.apache.commons.math3.fraction.Fraction fraction50 = fraction48.abs();
    int i51 = fraction43.compareTo(fraction48);
    org.apache.commons.math3.fraction.FractionField fractionField52 = fraction48.getField();
    org.apache.commons.math3.fraction.Fraction fraction53 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction54 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction55 = fraction53.add(fraction54);
    org.apache.commons.math3.fraction.Fraction fraction57 = fraction53.add(9);
    org.apache.commons.math3.fraction.Fraction fraction58 = fraction53.abs();
    org.apache.commons.math3.fraction.Fraction fraction60 = fraction53.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction61 = fraction48.add(fraction60);
    org.apache.commons.math3.fraction.Fraction fraction62 = fraction37.add(fraction60);
    org.apache.commons.math3.fraction.Fraction fraction63 = fraction37.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction64 = fraction30.add(fraction63);
    org.apache.commons.math3.fraction.Fraction fraction65 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction66 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction67 = fraction65.add(fraction66);
    org.apache.commons.math3.fraction.Fraction fraction68 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction69 = fraction67.subtract(fraction68);
    org.apache.commons.math3.fraction.Fraction fraction70 = fraction69.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction71 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction72 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction73 = fraction71.add(fraction72);
    org.apache.commons.math3.fraction.Fraction fraction74 = fraction71.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction75 = fraction74.negate();
    org.apache.commons.math3.fraction.Fraction fraction76 = fraction74.abs();
    int i77 = fraction69.compareTo(fraction74);
    org.apache.commons.math3.fraction.FractionField fractionField78 = fraction74.getField();
    org.apache.commons.math3.fraction.Fraction fraction79 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction80 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction81 = fraction79.add(fraction80);
    org.apache.commons.math3.fraction.Fraction fraction83 = fraction79.add(9);
    org.apache.commons.math3.fraction.Fraction fraction84 = fraction79.abs();
    org.apache.commons.math3.fraction.Fraction fraction86 = fraction79.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction87 = fraction74.add(fraction86);
    boolean b88 = fraction30.equals((java.lang.Object)fraction87);
    org.apache.commons.math3.fraction.Fraction fraction89 = fraction87.negate();
    org.apache.commons.math3.fraction.Fraction fraction90 = fraction24.divide(fraction89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f17 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i51 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i77 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction90);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test071"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(0.0f, (-5));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test072"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(29670, 1456770);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test073"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable7, obj_array9);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable5, localizable6, obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array9);
    java.lang.Object[] obj_array13 = new java.lang.Object[] { localizable4 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, obj_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, obj_array13);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, obj_array13);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array13);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str18 = mathArithmeticException17.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test074"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction2.reciprocal();
    org.apache.commons.math3.fraction.FractionField fractionField6 = fraction2.getField();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { fractionField6 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array7);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException9 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array7);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException13 = new org.apache.commons.math3.exception.NullArgumentException();
    java.lang.Throwable[] throwable_array14 = nullArgumentException13.getSuppressed();
    org.apache.commons.math3.exception.ConvergenceException convergenceException15 = new org.apache.commons.math3.exception.ConvergenceException(localizable12, (java.lang.Object[])throwable_array14);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException16 = new org.apache.commons.math3.exception.NullArgumentException(localizable11, (java.lang.Object[])throwable_array14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException9, localizable10, (java.lang.Object[])throwable_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test075"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.397950934595357d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.046899104293225d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test076"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    int i3 = fraction0.getDenominator();
    int i4 = fraction0.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test077"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees((-0.6049376805000515d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-34.66037596108639d));

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test078"); }


    java.lang.Number number0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger3, 4);
    java.math.BigInteger bigInteger7 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 116L);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 4);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger16, 116L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, bigInteger18);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException21 = new org.apache.commons.math3.exception.NumberIsTooSmallException(number0, (java.lang.Number)bigInteger11, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test079"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(247, (-535139409));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-535139162));

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test080"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(2L, 218251901136858702L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 218251901136858702L);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test081"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.5f, 360.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 360.0f);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test082"); }


    double d2 = org.apache.commons.math3.util.FastMath.min((-0.3497080858284233d), 0.5662191662540212d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.3497080858284233d));

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test083"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(93L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test084"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = mathArithmeticException13.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.5707531321165078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test086"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-23), 200);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test087"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException12 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext14 = mathIllegalStateException13.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext14);

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test088"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(200, 4);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction3.add(9);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.abs();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction3.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction2.add(fraction10);
    int i12 = fraction2.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test089"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-19695L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 19695L);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test090"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)381);
    java.lang.Number number2 = notPositiveException1.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 381+ "'", number2.equals(381));

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test091"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction0.add(9);
    double d5 = fraction4.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.add(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.subtract(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction10.reciprocal();
    int i12 = fraction4.compareTo(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction13.add(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.add(fraction17);
    int i19 = fraction15.compareTo(fraction16);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException21 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction4, (java.lang.Number)i19, false);
    long long22 = fraction4.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 9L);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test092"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.1751108688454846E8d, 1.0972684565274933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0972684565274933d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test093"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)11013.232920103323d);
    java.lang.Throwable[] throwable_array4 = notPositiveException3.getSuppressed();
    org.apache.commons.math3.exception.ConvergenceException convergenceException5 = new org.apache.commons.math3.exception.ConvergenceException(localizable1, (java.lang.Object[])throwable_array4);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test094"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.9408416071039944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.969969900102057d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test095"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo((-204800000000000L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test096"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialLog(593400);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7295044.039540883d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test097"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10((-0.35226694714764856d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test098"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i3 = fraction0.compareTo(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction4.add(9);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction4.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction0.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.subtract(891900);
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.subtract(9);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction11.divide(fraction14);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException20 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction17, (java.lang.Number)(-218251901136858695L), true);
    boolean b21 = numberIsTooLargeException20.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = numberIsTooLargeException20.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test099"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.5440211108893698d), 4.9E-324d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test100"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException3 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)11013.232920103323d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = notPositiveException3.getContext();
    java.lang.Throwable[] throwable_array5 = notPositiveException3.getSuppressed();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException(localizable1, (java.lang.Object[])throwable_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array5);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test101"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    int i10 = fraction6.compareTo(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction3.add(fraction7);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction7);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction17 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i18 = fraction15.compareTo(fraction17);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException20 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable13, (java.lang.Number)fraction14, (java.lang.Number)i18, false);
    boolean b21 = numberIsTooLargeException20.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = numberIsTooLargeException20.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext23 = numberIsTooLargeException20.getContext();
    boolean b24 = numberIsTooLargeException20.getBoundIsAllowed();
    notPositiveException12.addSuppressed((java.lang.Throwable)numberIsTooLargeException20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test102"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(4.787422291102689d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7556869922989158d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test103"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.2401440546005268E28d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1136175531126145E14d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test104"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.14760149003916204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test105"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(12.8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.0d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test106"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-1858511109), 2147483647);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test107"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(3.2293425913971796d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.08797586002724679d);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test108"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(10000L, 101000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test109"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(60.00294399915631d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0472489336750512d);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test110"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(3);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test111"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter((-9.999681E-5f), 23.140692632779267d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-9.99968E-5f));

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test112"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(3.8545394394300026E8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.570796324200553d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test113"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.969969900102057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9848704991530902d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test114"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.788246678137221d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test115"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(118.2f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test116"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(Float.POSITIVE_INFINITY, 905);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == Float.POSITIVE_INFINITY);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test117"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException((-0.9515114921589883d), (-625617185111910399L), 40449L);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test118"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException5 = new org.apache.commons.math3.exception.NotPositiveException(localizable1, (java.lang.Number)fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.subtract(0);
    int i8 = fraction7.intValue();
    java.lang.Number number9 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)i8, number9, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 0);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test119"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(29660, 591);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 29660);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test120"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.abs();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction6.abs();
    int i8 = fraction5.compareTo(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i8 == 1);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test121"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(99);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.332621544395465E155d);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test122"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 1030301L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 4);
    java.math.BigInteger bigInteger13 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, 116L);
    java.math.BigInteger bigInteger14 = null;
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 0L);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, bigInteger16);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 2L);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger26 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger24, 4);
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger26, 116L);
    java.math.BigInteger bigInteger29 = null;
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger29, 0L);
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger26, bigInteger31);
    java.math.BigInteger bigInteger33 = null;
    java.math.BigInteger bigInteger35 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger33, 0L);
    java.math.BigInteger bigInteger37 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger35, 4);
    java.math.BigInteger bigInteger39 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger37, 116L);
    java.math.BigInteger bigInteger40 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger32, bigInteger39);
    java.math.BigInteger bigInteger42 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger40, 40L);
    java.math.BigInteger bigInteger43 = null;
    java.math.BigInteger bigInteger45 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger43, 0L);
    java.math.BigInteger bigInteger47 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger45, 4);
    java.math.BigInteger bigInteger49 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger47, 116L);
    java.math.BigInteger bigInteger50 = null;
    java.math.BigInteger bigInteger52 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger50, 0L);
    java.math.BigInteger bigInteger53 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger47, bigInteger52);
    java.math.BigInteger bigInteger54 = null;
    java.math.BigInteger bigInteger56 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger54, 0L);
    java.math.BigInteger bigInteger58 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger56, 4);
    java.math.BigInteger bigInteger60 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger58, 116L);
    java.math.BigInteger bigInteger61 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger53, bigInteger60);
    java.math.BigInteger bigInteger63 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger61, 40L);
    java.math.BigInteger bigInteger64 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger40, bigInteger61);
    java.math.BigInteger bigInteger65 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger21, bigInteger64);
    java.math.BigInteger bigInteger66 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger6, bigInteger64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger66);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test123"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(0.18786317864392604d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.18677533911029529d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test124"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i3 = fraction0.compareTo(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction4.add(9);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction4.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction0.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction12.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.add(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction16.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction12.divide(fraction16);
    int i21 = fraction0.compareTo(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction22.add(2147483647);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction20.multiply(fraction26);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction26.subtract((-127));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test125"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-44.994877926449135d), (-1949438805));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test126"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(5849.994483411538d, 10);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test127"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.6283908864801322d, 1.7763568394002505E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.661338147750939E-16d);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(6.661338147750939E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.661338147750937E-16d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test129"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(49, 2160);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test130"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(3.637978807091713E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.63797880709833E-12d);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test131"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(43.06306836264563d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.634104971272178d);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test132"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException8 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable5, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable3, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException11 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array7);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, obj_array7);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException13 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test133"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i4 = fraction1.compareTo(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.add(9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction5.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction1.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.subtract(891900);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.subtract(9);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction12.divide(fraction15);
    boolean b20 = fraction18.equals((java.lang.Object)23.16228951387934d);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException21 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)23.16228951387934d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test134"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(30, (-619853823));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 619853853);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test135"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.7853087663494565d), (-44.994877926449135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 45.00173051644309d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test136"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh((-4.7472598405928076E-39d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-4.7472598405928076E-39d));

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test137"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.46644571126863016d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5055180216726606d);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test138"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 116L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, 756L);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 4);
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 116L);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, bigInteger24);
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 0L);
    java.math.BigInteger bigInteger29 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 756L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 0L);
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, bigInteger25);
    java.math.BigInteger bigInteger34 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test139"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(4500, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test140"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-44.994877926449135d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test141"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(17, 989);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 17);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test142"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(18, 900);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 16200);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test143"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.4421952462365947E-4d, 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.4421952462365947E-4d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test144"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException(number0, (java.lang.Number)19.197760385973172d, false);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test145"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-0.6321205588285577d));
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException5 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction2, (java.lang.Number)593400, false);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test146"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction3.divide(10);
    org.apache.commons.math3.fraction.FractionField fractionField7 = fraction6.getField();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ZERO;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction6.add(fraction8);
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction14 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i15 = fraction12.compareTo(fraction14);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException17 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable10, (java.lang.Number)fraction11, (java.lang.Number)i15, false);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction11.abs();
    int i19 = fraction18.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction22 = new org.apache.commons.math3.fraction.Fraction(11, 11);
    boolean b23 = fraction18.equals((java.lang.Object)11);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction8.multiply(fraction18);
    double d25 = fraction8.percentageValue();
    int i26 = fraction8.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.01438030119216882d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.014380796862715999d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test148"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(23152.906933686514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 14);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test149"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)0.4f);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    boolean b4 = notPositiveException2.getBoundIsAllowed();
    java.lang.Number number5 = notPositiveException2.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test150"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(3.7585375054078376E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.758537416915552E-4d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test151"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger3, 4);
    java.math.BigInteger bigInteger7 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 116L);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 4);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger16, 116L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, bigInteger18);
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 40L);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException22 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test152"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-37652), 1456770);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1456770);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test153"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(40320L, 3L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 40323L);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test154"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-991000), 17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test155"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(905.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 9);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test156"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger3, 4);
    java.math.BigInteger bigInteger7 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 116L);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger12 = null;
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 0L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 4);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger16, 116L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, bigInteger18);
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 40L);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger26 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger24, 4);
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger26, 116L);
    java.math.BigInteger bigInteger29 = null;
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger29, 0L);
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger26, bigInteger31);
    java.math.BigInteger bigInteger33 = null;
    java.math.BigInteger bigInteger35 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger33, 0L);
    java.math.BigInteger bigInteger37 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger35, 4);
    java.math.BigInteger bigInteger39 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger37, 116L);
    java.math.BigInteger bigInteger40 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger32, bigInteger39);
    java.math.BigInteger bigInteger42 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger40, 40L);
    java.math.BigInteger bigInteger43 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, bigInteger40);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger44 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, bigInteger43);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test157"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.0703080199199144d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.07290195191002678d));

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test158"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)11013.232920103323d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext2 = notPositiveException1.getContext();
    java.lang.Throwable[] throwable_array3 = notPositiveException1.getSuppressed();
    java.lang.String str4 = notPositiveException1.toString();
    java.lang.Number number5 = notPositiveException1.getArgument();
    boolean b6 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.exception.NotPositiveException: 11,013.233 is smaller than the minimum (0)"+ "'", str4.equals("org.apache.commons.math3.exception.NotPositiveException: 11,013.233 is smaller than the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 11013.232920103323d+ "'", number5.equals(11013.232920103323d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == true);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test159"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.899441891477805E93d, 1.2820594734287405d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5707963267948966d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test160"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(218251901136858694L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 218251901136858694L);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.6967443760933782d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 39.920512149626305d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test162"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 116L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 4);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 116L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, bigInteger17);
    java.math.BigInteger bigInteger19 = null;
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 0L);
    java.math.BigInteger bigInteger23 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger21, 4);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 116L);
    java.math.BigInteger bigInteger26 = null;
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger26, 0L);
    java.math.BigInteger bigInteger29 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, bigInteger28);
    java.math.BigInteger bigInteger30 = null;
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger34 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger32, 4);
    java.math.BigInteger bigInteger36 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger34, 116L);
    java.math.BigInteger bigInteger37 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger29, bigInteger36);
    java.math.BigInteger bigInteger38 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, bigInteger29);
    java.math.BigInteger bigInteger39 = null;
    java.math.BigInteger bigInteger41 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger39, 0L);
    java.math.BigInteger bigInteger43 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger41, 4);
    java.math.BigInteger bigInteger45 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger43, 116L);
    java.math.BigInteger bigInteger46 = null;
    java.math.BigInteger bigInteger48 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger46, 0L);
    java.math.BigInteger bigInteger49 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger43, bigInteger48);
    java.math.BigInteger bigInteger51 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger49, 0L);
    java.math.BigInteger bigInteger53 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger49, 756L);
    java.math.BigInteger bigInteger54 = null;
    java.math.BigInteger bigInteger56 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger54, 0L);
    java.math.BigInteger bigInteger58 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger56, 4);
    java.math.BigInteger bigInteger59 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger53, bigInteger56);
    java.math.BigInteger bigInteger61 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger53, 989);
    java.math.BigInteger bigInteger62 = null;
    java.math.BigInteger bigInteger64 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger62, 0L);
    java.math.BigInteger bigInteger66 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger64, 4);
    java.math.BigInteger bigInteger68 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger66, 116L);
    java.math.BigInteger bigInteger69 = null;
    java.math.BigInteger bigInteger71 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger69, 0L);
    java.math.BigInteger bigInteger72 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger66, bigInteger71);
    java.math.BigInteger bigInteger73 = null;
    java.math.BigInteger bigInteger75 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger73, 0L);
    java.math.BigInteger bigInteger77 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger75, 4);
    java.math.BigInteger bigInteger79 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger77, 116L);
    java.math.BigInteger bigInteger80 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger72, bigInteger79);
    java.math.BigInteger bigInteger82 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger80, 40L);
    java.math.BigInteger bigInteger84 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger80, 99);
    java.math.BigInteger bigInteger85 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger53, bigInteger80);
    java.math.BigInteger bigInteger86 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger38, bigInteger85);
    java.math.BigInteger bigInteger88 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger38, 381);
    java.math.BigInteger bigInteger90 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger38, 1704296007);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger90);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test163"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(9.99968E-5f, 0.19999997f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 9.99968E-5f);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test164"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.0d, 2.2204460492503128E-16d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test165"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(101000L, 202L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 101000L);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test166"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(2.0072073464122173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0072073464122173d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test167"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(39449L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 39449L);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test168"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.9096835262367865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2855295650684169d);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test169"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(756L, 1030301L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 778907556L);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test170"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-918150335), (-218251901136858703L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test171"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.20000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 0.20000003f);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test172"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp(1.8758900748869218d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.526625721442844d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test173"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction0.add(9);
    double d5 = fraction4.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.add(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.subtract(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction10.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.add(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction15.negate();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.abs();
    int i18 = fraction10.compareTo(fraction15);
    org.apache.commons.math3.fraction.FractionField fractionField19 = fraction15.getField();
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.add(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction20.add(9);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction20.abs();
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction20.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction15.add(fraction27);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction4.add(fraction27);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction29.abs();
    double d31 = fraction29.doubleValue();
    long long32 = fraction29.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 49.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 49L);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test174"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(1.25f, (-3.2f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-1.25f));

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test175"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test176"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(5, 29730);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 29730);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test177"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.019810064548394263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.14074823106666123d);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test178"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-218251901136858694L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test179"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.THREE_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction1 = fraction0.reciprocal();
    double d2 = fraction0.percentageValue();
    int i3 = fraction0.getDenominator();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)i3, (java.lang.Number)802116969, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 75.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 4);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test180"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i3 = fraction0.compareTo(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction4.add(9);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction4.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction0.subtract(fraction4);
    int i12 = fraction11.intValue();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction11.divide(1);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction17 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i18 = fraction15.compareTo(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction19.add(9);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction19.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction15.subtract(fraction19);
    int i27 = fraction26.intValue();
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction26.divide(1);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction29.divide(10000);
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction14.divide(fraction29);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction32.reciprocal();
    java.lang.String str34 = fraction33.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "1"+ "'", str34.equals("1"));

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test181"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction0.add(9);
    java.lang.String str5 = fraction0.toString();
    int i6 = fraction0.getNumerator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "2 / 5"+ "'", str5.equals("2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 2);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test182"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(1.0003758302174048d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7855860431984865d);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test183"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(3L, 4500);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8922986426539267695L));

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test184"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-6531403397833043623L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test185"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-713701123), 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-713701123));

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test186"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.2963527257093743E298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.646927838993072E282d);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test187"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-50L), 19211L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-19261L));

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test188"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.024879332015708817d, (-0.5440211108893698d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.024879332015708817d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test189"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-0.029513261244853938d), 11.548739357257746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 11.548777068350716d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test190"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 116L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 891909);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 1030301L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 99L);
    org.apache.commons.math3.exception.util.Localizable localizable17 = null;
    java.math.BigInteger bigInteger18 = null;
    java.math.BigInteger bigInteger20 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger18, 0L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger20, 4);
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 116L);
    java.math.BigInteger bigInteger25 = null;
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 0L);
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, bigInteger27);
    java.math.BigInteger bigInteger29 = null;
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger29, 0L);
    java.math.BigInteger bigInteger33 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger31, 4);
    java.math.BigInteger bigInteger35 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger33, 116L);
    java.math.BigInteger bigInteger36 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger28, bigInteger35);
    org.apache.commons.math3.fraction.Fraction fraction39 = new org.apache.commons.math3.fraction.Fraction(10, 1);
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.divide(5);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException43 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable17, (java.lang.Number)bigInteger36, (java.lang.Number)fraction39, true);
    java.math.BigInteger bigInteger44 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, bigInteger36);
    java.math.BigInteger bigInteger45 = null;
    java.math.BigInteger bigInteger47 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger45, 0L);
    java.math.BigInteger bigInteger49 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger47, 4);
    java.math.BigInteger bigInteger51 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger49, 116L);
    java.math.BigInteger bigInteger52 = null;
    java.math.BigInteger bigInteger54 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger52, 0L);
    java.math.BigInteger bigInteger55 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger49, bigInteger54);
    java.math.BigInteger bigInteger56 = null;
    java.math.BigInteger bigInteger58 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger56, 0L);
    java.math.BigInteger bigInteger60 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger58, 4);
    java.math.BigInteger bigInteger62 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger60, 116L);
    java.math.BigInteger bigInteger63 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger55, bigInteger62);
    java.math.BigInteger bigInteger64 = null;
    java.math.BigInteger bigInteger66 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger64, 0L);
    java.math.BigInteger bigInteger68 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger66, 4);
    java.math.BigInteger bigInteger70 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger68, 116L);
    java.math.BigInteger bigInteger71 = null;
    java.math.BigInteger bigInteger73 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger71, 0L);
    java.math.BigInteger bigInteger74 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger68, bigInteger73);
    java.math.BigInteger bigInteger75 = null;
    java.math.BigInteger bigInteger77 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger75, 0L);
    java.math.BigInteger bigInteger79 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger77, 4);
    java.math.BigInteger bigInteger81 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger79, 116L);
    java.math.BigInteger bigInteger82 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger74, bigInteger81);
    java.math.BigInteger bigInteger83 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger63, bigInteger74);
    java.math.BigInteger bigInteger84 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger44, bigInteger63);
    java.math.BigInteger bigInteger86 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger84, 802116759);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger86);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test191"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog((-1265726283), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test192"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(535140000, 802116969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 802116969);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test193"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.8504727511089156d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test194"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-0.9955742875642764d), 100);
    int i3 = fraction2.intValue();
    double d4 = fraction2.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-100.0d));

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test195"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-17), 127);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2159));

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test196"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.7615941502077684d, 7.550744592727293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 7.589055906648148d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test197"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(33.67769515296182d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.2092307648190603d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test198"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.subtract(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.add(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction12.add(9);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction11.subtract(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction3.divide(fraction11);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException21 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction18, (java.lang.Number)3, true);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException23 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1), (java.lang.Number)fraction18, false);
    java.lang.Number number24 = numberIsTooLargeException23.getMax();
    boolean b25 = numberIsTooLargeException23.getBoundIsAllowed();
    boolean b26 = numberIsTooLargeException23.getBoundIsAllowed();
    boolean b27 = numberIsTooLargeException23.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b27 == false);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test199"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.0015160520586796726d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.03893651318081362d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test200"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(29973641529655296L, (-625617185111910399L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-595643543582255103L));

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test201"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test202"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)11013.232920103323d);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notPositiveException2.getContext();
    java.lang.Throwable[] throwable_array4 = notPositiveException2.getSuppressed();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)11013.232920103323d);
    java.lang.Throwable[] throwable_array8 = notPositiveException7.getSuppressed();
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notPositiveException2, localizable5, (java.lang.Object[])throwable_array8);
    org.apache.commons.math3.exception.ConvergenceException convergenceException10 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, (java.lang.Object[])throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test203"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.20000002f, 118.19999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.20000002f);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test204"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(11, 100);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math3.exception.NotPositiveException(localizable3, (java.lang.Number)fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction8.negate();
    java.lang.String str10 = fraction9.toString();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.multiply(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction2.subtract(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction13.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "-2 / 5"+ "'", str10.equals("-2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test205"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(4940.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test206"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(900);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.reciprocal();
    long long3 = fraction2.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test207"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(360.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 360.00003f);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test208"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    int i13 = fraction12.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.multiply(0);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException16 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction12);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO;
    org.apache.commons.math3.fraction.Fraction fraction20 = new org.apache.commons.math3.fraction.Fraction(989, 989);
    org.apache.commons.math3.exception.util.Localizable localizable21 = null;
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction25 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i26 = fraction23.compareTo(fraction25);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException28 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable21, (java.lang.Number)fraction22, (java.lang.Number)i26, false);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction22.abs();
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction20.multiply(fraction22);
    int i31 = fraction22.intValue();
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction17.add(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction32.negate();
    int i34 = fraction33.intValue();
    double d35 = fraction33.doubleValue();
    boolean b36 = fraction12.equals((java.lang.Object)fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == (-2));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == (-2.2d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test209"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.9984971498638638d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.5963936780180616d);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test210"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.FOUR_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = fraction0.negate();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test211"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(5.9604645E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 5.960465E-8f);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test212"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test213"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.0437693153191689d), 2.5454331673752666d, (-800));

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test214"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.add(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction6.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction9.negate();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.abs();
    int i12 = fraction4.compareTo(fraction9);
    org.apache.commons.math3.fraction.FractionField fractionField13 = fraction9.getField();
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.add(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction14.add(9);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction14.abs();
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction14.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction9.add(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException24 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction23);
    boolean b25 = notPositiveException24.getBoundIsAllowed();
    boolean b26 = fraction9.equals((java.lang.Object)notPositiveException24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test215"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-100L), 19695L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 19695L);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test216"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(5.726872062159007E25d, 14);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test217"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    int i13 = fraction12.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.negate();
    int i16 = fraction12.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.add(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.add(fraction26);
    int i28 = fraction24.compareTo(fraction25);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction21.add(fraction25);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction17.subtract(fraction29);
    int i31 = fraction12.compareTo(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 591);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i28 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == 1);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test218"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(0.7515923289395697d, 535140210);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = fractionConversionException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test219"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(10000L, 619853853);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test220"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(2.1460183660255168d, 10);
    float f3 = fraction2.floatValue();
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.add(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.subtract(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction13.add(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction13.add(9);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction12.subtract(fraction17);
    int i19 = fraction18.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction24 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.add(fraction24);
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.subtract(fraction26);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction30 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction31 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction30.add(fraction31);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction30.add(9);
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction29.subtract(fraction34);
    int i36 = fraction35.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction38 = fraction35.multiply(0);
    int i39 = fraction35.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction22.subtract(fraction35);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException42 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable4, (java.lang.Number)0.9688070829043303d, (java.lang.Number)fraction35, true);
    org.apache.commons.math3.fraction.Fraction fraction43 = fraction2.add(fraction35);
    long long44 = fraction35.longValue();
    float f45 = fraction35.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 2.142857f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long44 == 118L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f45 == 118.2f);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test221"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-1265726283));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test222"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction1 = fraction0.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction4);
    int i9 = fraction0.getDenominator();
    java.math.BigInteger bigInteger10 = null;
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 4);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 116L);
    java.math.BigInteger bigInteger17 = null;
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 0L);
    java.math.BigInteger bigInteger20 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, bigInteger19);
    boolean b21 = fraction0.equals((java.lang.Object)bigInteger14);
    org.apache.commons.math3.exception.util.Localizable localizable22 = null;
    java.math.BigInteger bigInteger23 = null;
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 0L);
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 4);
    java.math.BigInteger bigInteger29 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger27, 116L);
    java.math.BigInteger bigInteger30 = null;
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger30, 0L);
    java.math.BigInteger bigInteger33 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger27, bigInteger32);
    java.math.BigInteger bigInteger34 = null;
    java.math.BigInteger bigInteger36 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger34, 0L);
    java.math.BigInteger bigInteger38 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger36, 4);
    java.math.BigInteger bigInteger40 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger38, 116L);
    java.math.BigInteger bigInteger41 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger33, bigInteger40);
    org.apache.commons.math3.fraction.Fraction fraction44 = new org.apache.commons.math3.fraction.Fraction(10, 1);
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction44.divide(5);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException48 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable22, (java.lang.Number)bigInteger41, (java.lang.Number)fraction44, true);
    java.math.BigInteger bigInteger49 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, bigInteger41);
    java.math.BigInteger bigInteger50 = null;
    java.math.BigInteger bigInteger52 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger50, 0L);
    java.math.BigInteger bigInteger54 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger52, 4);
    java.math.BigInteger bigInteger56 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger54, 116L);
    java.math.BigInteger bigInteger57 = null;
    java.math.BigInteger bigInteger59 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger57, 0L);
    java.math.BigInteger bigInteger60 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger54, bigInteger59);
    java.math.BigInteger bigInteger61 = null;
    java.math.BigInteger bigInteger63 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger61, 0L);
    java.math.BigInteger bigInteger65 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger63, 4);
    java.math.BigInteger bigInteger67 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger65, 116L);
    java.math.BigInteger bigInteger68 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger60, bigInteger67);
    java.math.BigInteger bigInteger70 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger68, 305L);
    java.math.BigInteger bigInteger71 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger41, bigInteger70);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger73 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger41, (-1858511109));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger71);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test223"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test224"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(1.0278494665105957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7069758554150573d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test225"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (-0.5440211108893698d) };
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException(localizable3, obj_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException7 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable2, obj_array5);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable1, obj_array5);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException9 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = mathArithmeticException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test226"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.add(9);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction1.abs();
    org.apache.commons.math3.fraction.FractionField fractionField7 = fraction1.getField();
    org.apache.commons.math3.fraction.Fraction fraction10 = new org.apache.commons.math3.fraction.Fraction(2.1460183660255168d, 10);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction1.subtract(fraction10);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test227"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.3333333333333335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9719379013633128d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test228"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.017351970292599814d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9941946640023535d);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test229"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(4.943508829600679d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5980753684565565d);

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test230"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(5);
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.multiply(900);
    long long4 = fraction1.longValue();
    java.lang.Object obj5 = null;
    boolean b6 = fraction1.equals(obj5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 5L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test231"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.add(9);
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException10 = new org.apache.commons.math3.exception.NotPositiveException(localizable6, (java.lang.Number)fraction9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction9.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction12.negate();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException15 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)9, (java.lang.Number)fraction12, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test232"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(2.566370614359173d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.47083782429027d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test233"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i3 = fraction0.compareTo(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction4.add(9);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction4.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction0.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction14 = new org.apache.commons.math3.fraction.Fraction(11, 100);
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.add(fraction17);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException19 = new org.apache.commons.math3.exception.NotPositiveException(localizable15, (java.lang.Number)fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction20.negate();
    java.lang.String str22 = fraction21.toString();
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction18.multiply(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction14.subtract(fraction24);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction4.add(fraction24);
    short s27 = fraction26.shortValue();
    org.apache.commons.math3.exception.util.Localizable localizable28 = null;
    org.apache.commons.math3.fraction.Fraction fraction32 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction32.add(905);
    org.apache.commons.math3.fraction.Fraction fraction35 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction35.negate();
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction32.subtract(fraction35);
    org.apache.commons.math3.fraction.Fraction fraction38 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction39 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction38.add(fraction39);
    org.apache.commons.math3.fraction.Fraction fraction41 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction42 = fraction40.subtract(fraction41);
    org.apache.commons.math3.fraction.Fraction fraction44 = fraction42.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction45 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f46 = fraction45.floatValue();
    int i47 = fraction42.compareTo(fraction45);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction45.negate();
    int i49 = fraction48.getNumerator();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException51 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable28, (java.lang.Number)fraction37, (java.lang.Number)fraction48, false);
    org.apache.commons.math3.fraction.Fraction fraction52 = fraction26.add(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "-2 / 5"+ "'", str22.equals("-2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s27 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f46 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i47 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test234"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(0L, 20200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-20200L));

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test235"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(0.2665944920939335d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.5741488274574993d));

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test236"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction((-2033420087), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test237"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(5, 9);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.add(fraction7);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException9 = new org.apache.commons.math3.exception.NotPositiveException(localizable5, (java.lang.Number)fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction8.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.add(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.subtract(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction19.add(9);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction18.subtract(fraction23);
    int i25 = fraction24.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction24.multiply(0);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException29 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable4, (java.lang.Number)fraction11, (java.lang.Number)0, false);
    org.apache.commons.math3.fraction.Fraction fraction30 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction30.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction30.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction34 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction35 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction34.add(fraction35);
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction34.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction38 = fraction30.divide(fraction34);
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction11.multiply(fraction30);
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction3.multiply(fraction39);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException41 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i25 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test238"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.00830660773849183d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.008306416692528414d);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test239"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger1 = null;
    java.math.BigInteger bigInteger3 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger1, 0L);
    java.math.BigInteger bigInteger5 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger3, 4);
    java.math.BigInteger bigInteger7 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, 116L);
    java.math.BigInteger bigInteger8 = null;
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger8, 0L);
    java.math.BigInteger bigInteger11 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger5, bigInteger10);
    java.math.BigInteger bigInteger13 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, 756L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, bigInteger11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test240"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.8677685304739979d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test241"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 116L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, 0L);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 2L);
    java.math.BigInteger bigInteger15 = null;
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 0L);
    java.math.BigInteger bigInteger19 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 4);
    java.math.BigInteger bigInteger21 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, 116L);
    java.math.BigInteger bigInteger22 = null;
    java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger19, bigInteger24);
    java.math.BigInteger bigInteger26 = null;
    java.math.BigInteger bigInteger28 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger26, 0L);
    java.math.BigInteger bigInteger30 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger28, 4);
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger30, 116L);
    java.math.BigInteger bigInteger33 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, bigInteger32);
    java.math.BigInteger bigInteger35 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger33, 40L);
    java.math.BigInteger bigInteger36 = null;
    java.math.BigInteger bigInteger38 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger36, 0L);
    java.math.BigInteger bigInteger40 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger38, 4);
    java.math.BigInteger bigInteger42 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger40, 116L);
    java.math.BigInteger bigInteger43 = null;
    java.math.BigInteger bigInteger45 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger43, 0L);
    java.math.BigInteger bigInteger46 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger40, bigInteger45);
    java.math.BigInteger bigInteger47 = null;
    java.math.BigInteger bigInteger49 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger47, 0L);
    java.math.BigInteger bigInteger51 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger49, 4);
    java.math.BigInteger bigInteger53 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger51, 116L);
    java.math.BigInteger bigInteger54 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger46, bigInteger53);
    java.math.BigInteger bigInteger56 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger54, 40L);
    java.math.BigInteger bigInteger57 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger33, bigInteger54);
    java.math.BigInteger bigInteger58 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, bigInteger57);
    java.math.BigInteger bigInteger60 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 591);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger60);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test242"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(2000, 9000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1000);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test243"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction1.divide(fraction5);
    int i10 = fraction1.getDenominator();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction1);
    boolean b12 = notPositiveException11.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test244"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(0, 600);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test245"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-989), 802116969);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test246"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp((-0.04372744452691635d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.04372744452691634d));

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test247"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(12.93484031621091d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test248"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(690);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.subtract(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.add(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction10.add(9);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction9.subtract(fraction14);
    int i16 = fraction15.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction15.multiply(0);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction15.subtract((-1));
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction1.add(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test249"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)2.899441891477805E93d);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test250"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-384), 124);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-260));

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test251"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException((-4.717609370732315d), 0L, (-6531403397833043623L));

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test252"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(6.526625721442844d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.0d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test253"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(3, 802116759);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test254"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(fraction4);
    int i6 = fraction2.compareTo(fraction3);
    short s7 = fraction2.shortValue();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f16 = fraction15.floatValue();
    int i17 = fraction12.compareTo(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction2.add(fraction12);
    int i19 = fraction12.intValue();
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.add(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.subtract(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction24.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction27 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.add(fraction28);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction27.add(9);
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction26.subtract(fraction31);
    org.apache.commons.math3.fraction.Fraction fraction33 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction34 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction33.add(fraction34);
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction33.add(9);
    java.lang.String str38 = fraction33.toString();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException40 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction32, (java.lang.Number)fraction33, true);
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction12.subtract(fraction33);
    org.apache.commons.math3.fraction.Fraction fraction42 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction44 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i45 = fraction42.compareTo(fraction44);
    org.apache.commons.math3.fraction.Fraction fraction46 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction47 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction46.add(fraction47);
    org.apache.commons.math3.fraction.Fraction fraction50 = fraction46.add(9);
    org.apache.commons.math3.fraction.Fraction fraction52 = fraction46.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction53 = fraction42.subtract(fraction46);
    int i54 = fraction53.intValue();
    org.apache.commons.math3.fraction.Fraction fraction56 = fraction53.divide(1);
    org.apache.commons.math3.fraction.Fraction fraction57 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction59 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i60 = fraction57.compareTo(fraction59);
    org.apache.commons.math3.fraction.Fraction fraction61 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction62 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction63 = fraction61.add(fraction62);
    org.apache.commons.math3.fraction.Fraction fraction65 = fraction61.add(9);
    org.apache.commons.math3.fraction.Fraction fraction67 = fraction61.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction68 = fraction57.subtract(fraction61);
    int i69 = fraction68.intValue();
    org.apache.commons.math3.fraction.Fraction fraction71 = fraction68.divide(1);
    org.apache.commons.math3.fraction.Fraction fraction73 = fraction71.divide(10000);
    org.apache.commons.math3.fraction.Fraction fraction74 = fraction56.divide(fraction71);
    org.apache.commons.math3.fraction.Fraction fraction75 = fraction33.subtract(fraction56);
    long long76 = fraction56.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s7 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f16 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str38 + "' != '" + "2 / 5"+ "'", str38.equals("2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i45 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i54 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i60 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i69 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long76 == 0L);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test255"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(218251901136858806L, 5764801L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test256"); }


    double d1 = org.apache.commons.math3.util.FastMath.exp((-8.285531466604565E-41d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test257"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction1.divide(fraction5);
    int i10 = fraction1.getDenominator();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction1);
    short s12 = fraction1.shortValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s12 == (short)0);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test258"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.9999999863134581d);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test259"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(989.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 989.4000000000001d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test260"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.5570928363289305d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test261"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.978700664276444d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9892930123459096d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test262"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-535139162));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test263"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(0.2f, (-0.99999994f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-0.99999994f));

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test264"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(0.012029696172304694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test265"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(Double.NaN, 1.1136175531126145E14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test266"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(4.8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 4.8f);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test267"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.0278494665105957d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7730443977054933d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test268"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-619853823), (-535139162));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test269"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i4 = fraction1.compareTo(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.add(9);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction5.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction1.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction13.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction17.add(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction17.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction13.divide(fraction17);
    int i22 = fraction1.compareTo(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction23.negate();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException25 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction23);
    org.apache.commons.math3.fraction.Fraction fraction28 = new org.apache.commons.math3.fraction.Fraction(0.6944205569212009d, 0);
    int i29 = fraction23.compareTo(fraction28);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException31 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)i22, (java.lang.Number)i29, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i22 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i29 == 1);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test270"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(3.683273418594332E294d, 0.6944205569212009d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.571480110270416E204d);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test271"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.16243680941828256d, (-0.7853087663494565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test272"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(1.6544813042785217E-4d, 362216.44961124816d, 0);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test273"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(4.768372E-8f, 0.2f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 4.768372E-8f);

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test274"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(23151.906933686518d, (-1L), 10L);
    java.lang.String str4 = fractionConversionException3.toString();
    java.lang.String str5 = fractionConversionException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.fraction.FractionConversionException: illegal state: Overflow trying to convert 23,151.907 to fraction (-1/10)"+ "'", str4.equals("org.apache.commons.math3.fraction.FractionConversionException: illegal state: Overflow trying to convert 23,151.907 to fraction (-1/10)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math3.fraction.FractionConversionException: illegal state: Overflow trying to convert 23,151.907 to fraction (-1/10)"+ "'", str5.equals("org.apache.commons.math3.fraction.FractionConversionException: illegal state: Overflow trying to convert 23,151.907 to fraction (-1/10)"));

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test275"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i5 = fraction2.compareTo(fraction4);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException7 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)fraction1, (java.lang.Number)i5, false);
    float f8 = fraction1.floatValue();
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ZERO;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException11 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction1, (java.lang.Number)fraction9, false);
    java.lang.Number number12 = numberIsTooLargeException11.getArgument();
    java.lang.Number number13 = numberIsTooLargeException11.getArgument();
    boolean b14 = numberIsTooLargeException11.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f8 == 0.2f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(number13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test276"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(37660);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test277"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.0d, 0.564399774211347d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test278"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.6836442272319165d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9780946123173226d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(0.262184678304611d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2683621882076917d);

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test280"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(128, (-682104791));
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test281"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(690);
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.reciprocal();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test282"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(20192L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test283"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin((-0.23988682218498833d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.24224926745317946d));

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test284"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 116L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 4);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 116L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, bigInteger17);
    java.math.BigInteger bigInteger20 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 7098637692222491649L);
    java.math.BigInteger bigInteger22 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 0L);
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger24 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger22, (-8922986426539267695L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger22);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test285"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient((-24), (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test286"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-0.4f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test287"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.16173082498269037d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test288"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.add(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction6.add(9);
    double d11 = fraction10.doubleValue();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException(localizable5, (java.lang.Number)fraction10);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException14 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction4, (java.lang.Number)fraction10, true);
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.add(fraction16);
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.add(fraction19);
    int i21 = fraction17.compareTo(fraction18);
    short s22 = fraction17.shortValue();
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction24 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.add(fraction24);
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.subtract(fraction26);
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction30 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f31 = fraction30.floatValue();
    int i32 = fraction27.compareTo(fraction30);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction17.add(fraction27);
    int i34 = fraction27.intValue();
    org.apache.commons.math3.fraction.Fraction fraction35 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction36 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction35.add(fraction36);
    org.apache.commons.math3.fraction.Fraction fraction38 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction37.subtract(fraction38);
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction42 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction43 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction44 = fraction42.add(fraction43);
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction42.add(9);
    org.apache.commons.math3.fraction.Fraction fraction47 = fraction41.subtract(fraction46);
    org.apache.commons.math3.fraction.Fraction fraction48 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction49 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction50 = fraction48.add(fraction49);
    org.apache.commons.math3.fraction.Fraction fraction52 = fraction48.add(9);
    java.lang.String str53 = fraction48.toString();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException55 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction47, (java.lang.Number)fraction48, true);
    org.apache.commons.math3.fraction.Fraction fraction56 = fraction27.subtract(fraction48);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException58 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction4, (java.lang.Number)fraction27, false);
    org.apache.commons.math3.fraction.FractionField fractionField59 = fraction27.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s22 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f31 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i34 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str53 + "' != '" + "2 / 5"+ "'", str53.equals("2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField59);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test289"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(5.9604645E-8f, 25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.0f);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test290"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction1.add(9);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    boolean b7 = fraction1.equals((java.lang.Object)fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction8.negate();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException10 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction8);
    org.apache.commons.math3.fraction.Fraction fraction13 = new org.apache.commons.math3.fraction.Fraction(0.6944205569212009d, 0);
    int i14 = fraction8.compareTo(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction8.add(210);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException18 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction1, (java.lang.Number)fraction16, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test291"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.9441478127842563d, (java.lang.Number)0.8051052546692962d, true);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test292"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.2759585E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test293"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(505L, (-218251901136858703L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test294"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.5f, 1.2820594734287403d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.4999998f);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.2089761321256948E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2089761321251057E-6d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test296"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(6);
    double d2 = fraction1.doubleValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test297"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    java.lang.Throwable throwable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable11, obj_array13);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException15 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable9, localizable10, obj_array13);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable8, obj_array13);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { localizable8 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException18 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, obj_array17);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable6, obj_array17);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException20 = new org.apache.commons.math3.exception.NullArgumentException(localizable5, obj_array17);
    org.apache.commons.math3.exception.ConvergenceException convergenceException21 = new org.apache.commons.math3.exception.ConvergenceException(localizable4, obj_array17);
    org.apache.commons.math3.exception.ConvergenceException convergenceException22 = new org.apache.commons.math3.exception.ConvergenceException(localizable3, obj_array17);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException23 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array17);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException24 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array17);
    org.apache.commons.math3.exception.ConvergenceException convergenceException25 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test298"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(0.9999999863134581d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931471737166743d);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test299"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.9096835262367865d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test300"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(4940.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4940.000000000001d);

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test301"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable8, localizable9, obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, obj_array12);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { localizable7 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, obj_array16);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math3.exception.NullArgumentException(localizable4, obj_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, obj_array16);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException21 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array16);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException22 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, obj_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException23 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test302"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(100L, (-6540675367741592703L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test303"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-8), (-2159));

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test304"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.16033530067747717d, 2.2963527257093743E298d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-375.3106655524711d));

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test305"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException2 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = mathArithmeticException2.getContext();
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable8, localizable9, obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, obj_array12);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { localizable7 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable4, localizable5, obj_array16);
    mathArithmeticException2.addSuppressed((java.lang.Throwable)mathIllegalStateException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test306"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.reciprocal();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)fraction6, (java.lang.Number)1.0d, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number11 = numberIsTooLargeException9.getMax();
    boolean b12 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Number number13 = numberIsTooLargeException9.getMax();
    java.lang.Number number14 = numberIsTooLargeException9.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number11 + "' != '" + 1.0d+ "'", number11.equals(1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 1.0d+ "'", number13.equals(1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number14 + "' != '" + 1.0d+ "'", number14.equals(1.0d));

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test307"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-1.4E-45f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test308"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i3 = fraction0.compareTo(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction4.add(9);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction4.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction0.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.subtract(891900);
    double d14 = fraction11.doubleValue();
    float f15 = fraction11.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.1d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f15 == 0.1f);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test309"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(2.3012989023072947d, (-1265726283));
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException6 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction3, (java.lang.Number)(-1355240447), false);
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.subtract(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction11.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.add(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction14.add(9);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction13.subtract(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction13.multiply(0);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException23 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-1355240447), (java.lang.Number)fraction21, false);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction21.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test310"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-25), 1023);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test311"); }


    double d2 = org.apache.commons.math3.util.FastMath.log((-0.5440211108893699d), 2.1684043449710089E-19d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test312"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException4 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction5.negate();
    java.lang.String str7 = fraction6.toString();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction3.multiply(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction9.reciprocal();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "-2 / 5"+ "'", str7.equals("-2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test313"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(520);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 520);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test314"); }


    double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble(200);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test315"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.divide(6);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction12.divide((-802116759));
    double d17 = fraction12.doubleValue();
    boolean b19 = fraction12.equals((java.lang.Object)(-0.7853087663494565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 118.2d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test316"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 116L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger12 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger9, 891909);
    java.math.BigInteger bigInteger14 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger12, 1030301L);
    java.math.BigInteger bigInteger16 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger14, 99L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger16, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test317"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.subtract(fraction2);
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction5.add(9);
    double d10 = fraction9.doubleValue();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math3.exception.NotPositiveException(localizable4, (java.lang.Number)fraction9);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException13 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction3, (java.lang.Number)fraction9, true);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction3.divide(4500);
    double d16 = fraction15.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-0.0044444444444444444d));

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test318"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(2159, (-802107759));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test319"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction6 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i7 = fraction4.compareTo(fraction6);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException9 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable2, (java.lang.Number)fraction3, (java.lang.Number)i7, false);
    boolean b10 = numberIsTooLargeException9.getBoundIsAllowed();
    java.lang.Throwable[] throwable_array11 = numberIsTooLargeException9.getSuppressed();
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException12 = new org.apache.commons.math3.exception.NullArgumentException(localizable1, (java.lang.Object[])throwable_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test320"); }


    int i1 = org.apache.commons.math3.util.FastMath.round((-7.6293945E-6f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test321"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(989.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.20032132309555317d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test322"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(3956, (-802107759));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test323"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.5514156714780432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1102230246251565E-16d);

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test324"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f9 = fraction8.floatValue();
    int i10 = fraction5.compareTo(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction8.negate();
    org.apache.commons.math3.fraction.Fraction fraction12 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction8.subtract(fraction12);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException15 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)9, (java.lang.Number)fraction8, false);
    boolean b16 = numberIsTooSmallException15.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f9 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i10 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test325"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction1 = fraction0.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction9.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction9.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction13.add(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction9.divide(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction8.add(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.subtract(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.subtract((-127));
    int i26 = fraction18.compareTo(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction27 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.add(fraction28);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction27.add(9);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction27.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction33.multiply(6);
    org.apache.commons.math3.fraction.Fraction fraction36 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    int i37 = fraction36.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction38 = fraction35.add(fraction36);
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction18.multiply(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == 2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test326"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(905);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction6.negate();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction3.subtract(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction11 = new org.apache.commons.math3.fraction.Fraction(905, 802116969);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction11.negate();
    int i13 = fraction8.compareTo(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction11.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test327"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.4236153313711541d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.42361533137115415d);

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test328"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.16388072136024756d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test329"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-11918L), (-19261L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7343L);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test330"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(201L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test331"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test332"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.305510943969977d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9650177171753416d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test333"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(1456770, 619853853);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test334"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException3 = new org.apache.commons.math3.fraction.FractionConversionException(7.550744592727293d, 0L, (-218251901136858584L));
    java.lang.String str4 = fractionConversionException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math3.fraction.FractionConversionException: illegal state: Overflow trying to convert 7.551 to fraction (0/-218,251,901,136,858,584)"+ "'", str4.equals("org.apache.commons.math3.fraction.FractionConversionException: illegal state: Overflow trying to convert 7.551 to fraction (0/-218,251,901,136,858,584)"));

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test335"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(1.7210275170461978E-33d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test336"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(29660, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test337"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-1.1283426670115086d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.7070496448127566d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test338"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.02690406094827656d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0003619360786014d);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test339"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(37660, (-319284445));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-319246785));

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test340"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(7.6293945E-6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test341"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(0.14760149003916204d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.38418939344958764d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test342"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(53.020047340902416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9260349801695703d));

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test343"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.1920929E-7f, 0.8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.1920929E-7f);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test344"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.8504727511089156d, (-7.629446898191137E-4d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8504730933212216d);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test345"); }


    org.apache.commons.math3.fraction.FractionConversionException fractionConversionException2 = new org.apache.commons.math3.fraction.FractionConversionException(1.1884293904972278d, 0);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test346"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(60.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 60.0d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test347"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.6794211280607118d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1376269426024708d));

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test348"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(6, 37795);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test349"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(19695L, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7248527246626310209L);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test350"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(0, 2171);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2171));

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test351"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(49.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test352"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(118.19999f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 118.2f);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test353"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    int i13 = fraction12.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction12.multiply(0);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction12.subtract(535140000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test354"); }


    // The following exception was thrown during execution in test generation
    try {
      double d1 = org.apache.commons.math3.util.ArithmeticUtils.factorialDouble((-4));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test355"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(1.5391852901147134d, 3.8545394394300026E8d, (-2159));

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test356"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-3.8551464208140986d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.8551464208140986d);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test357"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.subtract(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.add(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction10.add(9);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction9.subtract(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction15.divide(6);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException19 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)9223372036854775807L, (java.lang.Number)fraction17, true);
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.add(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.subtract(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction24.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction27 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.add(fraction28);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction27.add(9);
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction26.subtract(fraction31);
    int i33 = fraction32.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction32.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction34.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction37 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction38 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction39 = fraction37.add(fraction38);
    org.apache.commons.math3.fraction.Fraction fraction40 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.subtract(fraction40);
    org.apache.commons.math3.fraction.Fraction fraction43 = fraction41.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction44 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction45 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction44.add(fraction45);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction44.add(9);
    org.apache.commons.math3.fraction.Fraction fraction49 = fraction43.subtract(fraction48);
    int i50 = fraction49.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction52 = fraction49.multiply(0);
    int i53 = fraction49.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction54 = fraction36.subtract(fraction49);
    org.apache.commons.math3.fraction.FractionField fractionField55 = fraction36.getField();
    org.apache.commons.math3.fraction.Fraction fraction56 = fraction17.add(fraction36);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException58 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)218251901136858584L, (java.lang.Number)fraction17, false);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext59 = numberIsTooSmallException58.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i33 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i50 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i53 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext59);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test358"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0);
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.subtract(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction2.add((-4));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test359"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(23151.906933686514d, 5.726872062159007E25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.726872062159007E25d);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test360"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(991000, 802116969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test361"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(6, 40L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test362"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3440585709080678E43d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test363"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction3.negate();
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.abs();
    java.lang.String str6 = fraction3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "5 / 2"+ "'", str6.equals("5 / 2"));

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test364"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(900, 381);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test365"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction0.add(9);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_THIRDS;
    boolean b6 = fraction0.equals((java.lang.Object)fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.add(4);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException11 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)4, (java.lang.Number)(-0.0703080199199144d), false);
    java.lang.Number number12 = numberIsTooSmallException11.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number12 + "' != '" + 4+ "'", number12.equals(4));

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test366"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 0.9998494734486868d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test367"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.889965019283663d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.711376453750029d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test368"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction1 = fraction0.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction0.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction4.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction0.divide(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction8.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction9.negate();
    int i11 = fraction10.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 0);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test369"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(10.04987562112089d, 0.2d, 767694185);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test370"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-3.442944702905602d), 29670);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test371"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)0.4f);
    boolean b3 = notPositiveException2.getBoundIsAllowed();
    boolean b4 = notPositiveException2.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = notPositiveException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test372"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-0.9410528776363529d));

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test373"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(535140000, (-260));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 20);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test374"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i5 = fraction2.compareTo(fraction4);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException7 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)fraction1, (java.lang.Number)i5, false);
    boolean b8 = numberIsTooLargeException7.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = numberIsTooLargeException7.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext10 = numberIsTooLargeException7.getContext();
    boolean b11 = numberIsTooLargeException7.getBoundIsAllowed();
    boolean b12 = numberIsTooLargeException7.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = numberIsTooLargeException7.getContext();
    java.lang.Throwable[] throwable_array14 = numberIsTooLargeException7.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test375"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(fraction4);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException6 = new org.apache.commons.math3.exception.NotPositiveException(localizable2, (java.lang.Number)fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction7.negate();
    java.lang.String str9 = fraction8.toString();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction5.multiply(fraction8);
    java.lang.String str12 = fraction5.toString();
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction13.add(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction16 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.add(fraction17);
    int i19 = fraction15.compareTo(fraction16);
    short s20 = fraction15.shortValue();
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.add(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction24 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.subtract(fraction24);
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f29 = fraction28.floatValue();
    int i30 = fraction25.compareTo(fraction28);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction15.add(fraction25);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException33 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)fraction5, (java.lang.Number)fraction15, false);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException35 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.8682117140005722d, (java.lang.Number)fraction15, false);
    java.lang.Number number36 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException38 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.8682117140005722d, number36, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "-2 / 5"+ "'", str9.equals("-2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "4 / 5"+ "'", str12.equals("4 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s20 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f29 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i30 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test376"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(250.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test377"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9408416071039944d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0859188026261313d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test378"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.abs();
    long long3 = fraction2.longValue();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException4 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction2);
    java.lang.Number number5 = notPositiveException4.getMin();
    java.lang.Number number6 = notPositiveException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test379"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(11, 100);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException7 = new org.apache.commons.math3.exception.NotPositiveException(localizable3, (java.lang.Number)fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction8.negate();
    java.lang.String str10 = fraction9.toString();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.multiply(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction2.subtract(fraction12);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException16 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction13, (java.lang.Number)(-0.9930655629982907d), false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "-2 / 5"+ "'", str10.equals("-2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test380"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(8002276628588517377L, 218251901136858702L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 8220528529725376079L);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test381"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, (-7.8863104515671605d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test382"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(0.5877866649021191d);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test383"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(9L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test384"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-103L), 93L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-8653810670791223367L));

  }

  @Test
  public void test385() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test385"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 1.1470541510395833d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test386"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable7, localizable8, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array11);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizable6 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array15);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, obj_array15);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException(localizable3, obj_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException19 = new org.apache.commons.math3.exception.ConvergenceException(localizable2, obj_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException20 = new org.apache.commons.math3.exception.ConvergenceException(localizable1, obj_array15);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = mathArithmeticException21.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test387"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(45.00173051644309d, 0.16314815133961985d, 520);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test388"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(3.8545394394300026E8d, 0.33164710870513214d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 3.8545394394300026E8d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test389"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction3.divide(10);
    org.apache.commons.math3.fraction.FractionField fractionField7 = fraction6.getField();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.ZERO;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction6.add(fraction8);
    java.lang.Object obj10 = null;
    boolean b11 = fraction9.equals(obj10);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException12 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test390"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(18, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test391"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(50);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test392"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction6.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction6.add((-3));
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException11 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, number1, (java.lang.Number)fraction9, true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test393"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-41.70791746697701d), 1.147054151039583d, (-384));
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException6 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)(-384), (java.lang.Number)2.120373662268175d, true);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test394"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(39449L, 8220528529725376079L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-5474438656518005847L));

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test395"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(1.5391852901147134d, 0.743782796641812d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5391852901147134d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test396"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException4 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array3);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array3);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext6 = mathIllegalStateException5.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext6);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test397"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.6784953823017017d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.2955675907885709d);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test398"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-319246785));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test399"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.012029696172304694d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0995780622127603E-4d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test400"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(0.0015907034344841556d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test401"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable7, localizable8, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array11);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizable6 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array15);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, obj_array15);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException(localizable3, obj_array15);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array15);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException20 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array15);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException21 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array15);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext22 = nullArgumentException21.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable23 = null;
    java.lang.Object[] obj_array25 = new java.lang.Object[] { 0.6944205569212009d };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException26 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable23, obj_array25);
    nullArgumentException21.addSuppressed((java.lang.Throwable)mathIllegalStateException26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array25);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test402"); }


    double d1 = org.apache.commons.math3.util.FastMath.atanh(0.17453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.1763382298382675d);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test403"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Throwable throwable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException13 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable10, obj_array12);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException14 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable8, localizable9, obj_array12);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException15 = new org.apache.commons.math3.exception.MathArithmeticException(localizable7, obj_array12);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { localizable7 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array16);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable5, obj_array16);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException19 = new org.apache.commons.math3.exception.NullArgumentException(localizable4, obj_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException20 = new org.apache.commons.math3.exception.MathArithmeticException(localizable3, obj_array16);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException21 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array16);
    org.apache.commons.math3.exception.ConvergenceException convergenceException22 = new org.apache.commons.math3.exception.ConvergenceException(localizable1, obj_array16);
    org.apache.commons.math3.exception.ConvergenceException convergenceException23 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test404"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(795, (-25));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test405"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-1831886015), 891909);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test406"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs(0.969969900102057d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.969969900102057d);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test407"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.7070496448127566d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test408"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(174.53271028037383d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.565066804484183d);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test409"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-3), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test410"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(6.3382536E30f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 102);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test411"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-218251901136838292L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test412"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(1000L, 99L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 99000L);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test413"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(13.493144419785468d, 0.4236153313711541d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 13.499792453299436d);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test414"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(1.9780946123173226d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test415"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(0L, 20402L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 20402L);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test416"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction8.add(9);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction7.subtract(fraction12);
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction14.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction18.add(fraction19);
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction18.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction14.divide(fraction18);
    java.lang.String str23 = fraction14.toString();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException25 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction7, (java.lang.Number)fraction14, false);
    org.apache.commons.math3.exception.util.Localizable localizable26 = null;
    org.apache.commons.math3.fraction.Fraction fraction27 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction30 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i31 = fraction28.compareTo(fraction30);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException33 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable26, (java.lang.Number)fraction27, (java.lang.Number)i31, false);
    float f34 = fraction27.floatValue();
    org.apache.commons.math3.fraction.FractionField fractionField35 = fraction27.getField();
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction7.multiply(fraction27);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException39 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)fraction27, (java.lang.Number)0.0068777820019603544d, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str23 + "' != '" + "1 / 2"+ "'", str23.equals("1 / 2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i31 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f34 == 0.2f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test417"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(29660);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(1.404757922331512d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1852248404127852d);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test419"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.subtract(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.add(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction10.add(9);
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction9.subtract(fraction14);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction1.divide(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction1.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test420"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-202L), (-6540675367741592703L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test421"); }


    java.math.BigInteger bigInteger0 = null;
    java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 0L);
    java.math.BigInteger bigInteger4 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger2, 4);
    java.math.BigInteger bigInteger6 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, 116L);
    java.math.BigInteger bigInteger7 = null;
    java.math.BigInteger bigInteger9 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger7, 0L);
    java.math.BigInteger bigInteger10 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger4, bigInteger9);
    java.math.BigInteger bigInteger11 = null;
    java.math.BigInteger bigInteger13 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger11, 0L);
    java.math.BigInteger bigInteger15 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger13, 4);
    java.math.BigInteger bigInteger17 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger15, 116L);
    java.math.BigInteger bigInteger18 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger10, bigInteger17);
    java.math.BigInteger bigInteger20 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger17, 7098637692222491649L);
    java.math.BigInteger bigInteger21 = null;
    java.math.BigInteger bigInteger23 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger21, 0L);
    java.math.BigInteger bigInteger25 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger23, 4);
    java.math.BigInteger bigInteger27 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, 116L);
    java.math.BigInteger bigInteger28 = null;
    java.math.BigInteger bigInteger30 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger28, 0L);
    java.math.BigInteger bigInteger31 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger25, bigInteger30);
    java.math.BigInteger bigInteger32 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger20, bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(bigInteger32);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test422"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(0.99999994f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test423"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-381));
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.add(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction9.add(9);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction8.subtract(fraction13);
    int i15 = fraction14.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.multiply(0);
    int i18 = fraction17.intValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction19.add(9);
    double d24 = fraction23.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.add(fraction26);
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.subtract(fraction28);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction29.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction31 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction32 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction31.add(fraction32);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction31.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction34.negate();
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction34.abs();
    int i37 = fraction29.compareTo(fraction34);
    org.apache.commons.math3.fraction.FractionField fractionField38 = fraction34.getField();
    org.apache.commons.math3.fraction.Fraction fraction39 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction40 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.add(fraction40);
    org.apache.commons.math3.fraction.Fraction fraction43 = fraction39.add(9);
    org.apache.commons.math3.fraction.Fraction fraction44 = fraction39.abs();
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction39.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction47 = fraction34.add(fraction46);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction23.add(fraction46);
    int i49 = fraction17.compareTo(fraction48);
    org.apache.commons.math3.fraction.Fraction fraction50 = fraction1.add(fraction17);
    float f51 = fraction1.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f51 == (-381.0f));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test424"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(9000, (-991000));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test425"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs((-381.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 381.0f);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test426"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(1000, 802116969);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test427"); }


    long long2 = org.apache.commons.math3.util.FastMath.min((-50L), 2040200L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-50L));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test428"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction((-1.5574077246549023d), 1000);
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction2.reciprocal();
    int i4 = fraction2.intValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == (-1));

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test429"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3805063771123649d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test430"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos((-0.1867360602561512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9826154272865549d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test431"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-4), 2000);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-2004));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test432"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-918150335), 1020100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1114660097);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test433"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction1.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction1.divide(fraction5);
    org.apache.commons.math3.fraction.FractionField fractionField10 = fraction9.getField();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException11 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)fraction9);
    boolean b12 = notPositiveException11.getBoundIsAllowed();
    java.lang.Number number13 = notPositiveException11.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number13 + "' != '" + 0+ "'", number13.equals(0));

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test434"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(11, 381);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 4191);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test435"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(9.332621544395465E155d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.772399622058966E51d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test436"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(4.705389742920268d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5487086055089276d);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test437"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(204800000000006L, 7098637692222491649L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-7098432892222491643L));

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test438"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.03893651318081362d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.2458228264265396d));

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test439"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(37795, (-2));

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test440"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.23988682218498833d), 802116759);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test441"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs(206L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 206L);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test442"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.add(fraction6);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    int i11 = fraction7.compareTo(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction4.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction0.subtract(fraction12);
    byte byte14 = fraction13.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i11 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte14 == (byte)1);

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test443"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(206L, 218251901136838292L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test444"); }


    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.getReducedFraction(29730, 310);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test445"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.0d, 53.020047340902416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.0d));

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test446"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(4.457427756405869E-39d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test447"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(0.0f, 0.7579868632454674d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.4E-45f);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test448"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(7.2759585E-12f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test449"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo((-101L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test450"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-10L), (-218251901136857949L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test451"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.6037147666439806d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9994582370838624d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test452"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    int i13 = fraction12.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction14.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.divide(3);
    org.apache.commons.math3.fraction.FractionField fractionField18 = fraction14.getField();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField18);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test453"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(6.3382536E30f, 1.4901161E-8f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 6.3382536E30f);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test454"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(9.860761315262648E-32d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test455"); }


    long long2 = org.apache.commons.math3.util.FastMath.min(204800000000006L, 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test456"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(4, 535140210);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test457"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction13.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction17.add(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction17.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction13.divide(fraction17);
    java.lang.String str22 = fraction13.toString();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException24 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction6, (java.lang.Number)fraction13, false);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException25 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction13);
    long long26 = fraction13.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "1 / 2"+ "'", str22.equals("1 / 2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 0L);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test458"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction(10, 1);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.reciprocal();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException7 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)0.0f, (java.lang.Number)fraction5, false);
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction8.add(9);
    double d13 = fraction12.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.add(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.subtract(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction18.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.add(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction20.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction23.negate();
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.abs();
    int i26 = fraction18.compareTo(fraction23);
    org.apache.commons.math3.fraction.FractionField fractionField27 = fraction23.getField();
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction28.add(fraction29);
    org.apache.commons.math3.fraction.Fraction fraction32 = fraction28.add(9);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction28.abs();
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction28.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction23.add(fraction35);
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction12.add(fraction35);
    org.apache.commons.math3.fraction.Fraction fraction38 = fraction5.divide(fraction37);
    org.apache.commons.math3.fraction.Fraction fraction41 = new org.apache.commons.math3.fraction.Fraction((-0.7449400628223749d), 900);
    org.apache.commons.math3.fraction.Fraction fraction44 = new org.apache.commons.math3.fraction.Fraction(0.6944205569212009d, 0);
    org.apache.commons.math3.fraction.Fraction fraction45 = fraction41.subtract(fraction44);
    org.apache.commons.math3.exception.util.Localizable localizable46 = null;
    org.apache.commons.math3.fraction.Fraction fraction50 = new org.apache.commons.math3.fraction.Fraction(10, 1);
    org.apache.commons.math3.fraction.Fraction fraction51 = fraction50.reciprocal();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException53 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable46, (java.lang.Number)0.0f, (java.lang.Number)fraction51, false);
    org.apache.commons.math3.fraction.Fraction fraction54 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction55 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction56 = fraction54.add(fraction55);
    org.apache.commons.math3.fraction.Fraction fraction58 = fraction54.add(9);
    double d59 = fraction58.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction60 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction61 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction62 = fraction60.add(fraction61);
    org.apache.commons.math3.fraction.Fraction fraction63 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction64 = fraction62.subtract(fraction63);
    org.apache.commons.math3.fraction.Fraction fraction65 = fraction64.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction66 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction67 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction68 = fraction66.add(fraction67);
    org.apache.commons.math3.fraction.Fraction fraction69 = fraction66.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction70 = fraction69.negate();
    org.apache.commons.math3.fraction.Fraction fraction71 = fraction69.abs();
    int i72 = fraction64.compareTo(fraction69);
    org.apache.commons.math3.fraction.FractionField fractionField73 = fraction69.getField();
    org.apache.commons.math3.fraction.Fraction fraction74 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction75 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction76 = fraction74.add(fraction75);
    org.apache.commons.math3.fraction.Fraction fraction78 = fraction74.add(9);
    org.apache.commons.math3.fraction.Fraction fraction79 = fraction74.abs();
    org.apache.commons.math3.fraction.Fraction fraction81 = fraction74.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction82 = fraction69.add(fraction81);
    org.apache.commons.math3.fraction.Fraction fraction83 = fraction58.add(fraction81);
    org.apache.commons.math3.fraction.Fraction fraction84 = fraction51.divide(fraction83);
    org.apache.commons.math3.fraction.Fraction fraction85 = fraction41.divide(fraction83);
    org.apache.commons.math3.fraction.Fraction fraction86 = fraction37.subtract(fraction41);
    float f87 = fraction37.floatValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i26 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i72 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f87 == 49.4f);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test459"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(53.020047340902416d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9253743956620115d);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test460"); }


    int i2 = org.apache.commons.math3.util.FastMath.max((-989), (-7));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-7));

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test461"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(0.9826154272865549d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.1485516359985246d);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test462"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction((-18.142857142857142d), 0.7515923289395697d, (-800));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException");
    } catch (org.apache.commons.math3.fraction.FractionConversionException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.fraction.FractionConversionException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.fraction.FractionConversionException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test463"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum((-0.7853087663494565d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.0d));

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test464"); }


    org.apache.commons.math3.fraction.Fraction fraction3 = new org.apache.commons.math3.fraction.Fraction(0.0d, 1.1475878602202172d, 989);
    long long4 = fraction3.longValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test465"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.add(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.subtract(fraction4);
    org.apache.commons.math3.fraction.Fraction fraction7 = fraction5.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction8.add(9);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction7.subtract(fraction12);
    int i14 = fraction13.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.multiply(0);
    int i17 = fraction13.getDenominator();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException19 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)0.10170385200096299d, (java.lang.Number)fraction13, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 5);

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test466"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction4 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(905);
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction7.negate();
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction4.subtract(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.add(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.subtract(fraction13);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f18 = fraction17.floatValue();
    int i19 = fraction14.compareTo(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction17.negate();
    int i21 = fraction20.getNumerator();
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException23 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)fraction9, (java.lang.Number)fraction20, false);
    org.apache.commons.math3.fraction.Fraction fraction26 = new org.apache.commons.math3.fraction.Fraction(11, 100);
    org.apache.commons.math3.exception.util.Localizable localizable27 = null;
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction28.add(fraction29);
    org.apache.commons.math3.exception.NotPositiveException notPositiveException31 = new org.apache.commons.math3.exception.NotPositiveException(localizable27, (java.lang.Number)fraction30);
    org.apache.commons.math3.fraction.Fraction fraction32 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction32.negate();
    java.lang.String str34 = fraction33.toString();
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction33.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction30.multiply(fraction33);
    org.apache.commons.math3.fraction.Fraction fraction37 = fraction26.subtract(fraction36);
    double d38 = fraction36.doubleValue();
    org.apache.commons.math3.fraction.FractionField fractionField39 = fraction36.getField();
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction9.multiply(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f18 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == (-3));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str34 + "' != '" + "-2 / 5"+ "'", str34.equals("-2 / 5"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == (-0.32d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test467"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan((-0.9867360602561512d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.512888880517827d));

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test468"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction3.divide(10);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException((java.lang.Number)10, (java.lang.Number)(-0.5440211108893698d), true);
    java.lang.Number number10 = numberIsTooSmallException9.getArgument();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number10 + "' != '" + 10+ "'", number10.equals(10));

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test469"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.7453292519943293d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.776599777038909d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test470"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.02051112983384807d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-6));

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test471"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(1.8530783694474884d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test472"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction(4.727787050299033d);
    double d2 = fraction1.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction3 = fraction1.abs();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.727777777777778d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test473"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.add(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction9.add(9);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction8.subtract(fraction13);
    int i15 = fraction14.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction16.subtract(0);
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction21.subtract(fraction22);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction23.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction27 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction26.add(fraction27);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction26.add(9);
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction25.subtract(fraction30);
    int i32 = fraction31.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction31.multiply(0);
    int i35 = fraction31.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction18.subtract(fraction31);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException38 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)0.9688070829043303d, (java.lang.Number)fraction31, true);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext39 = numberIsTooLargeException38.getContext();
    boolean b40 = numberIsTooLargeException38.getBoundIsAllowed();
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str41 = numberIsTooLargeException38.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i35 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == true);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test474"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent((-9.9996796E-5f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-14));

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test475"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(7098637692222491649L, 20684800000000000L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 7119322492222491649L);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test476"); }


    float f2 = org.apache.commons.math3.util.FastMath.copySign(2.142857f, (-381.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == (-2.142857f));

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test477"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0, 37795);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 37795);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test478"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p((-0.04371351072855291d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.044697735854177925d));

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test479"); }


    org.apache.commons.math3.fraction.Fraction fraction1 = new org.apache.commons.math3.fraction.Fraction((-381));
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.add(fraction10);
    org.apache.commons.math3.fraction.Fraction fraction13 = fraction9.add(9);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction8.subtract(fraction13);
    int i15 = fraction14.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction17 = fraction14.multiply(0);
    int i18 = fraction17.intValue();
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction23 = fraction19.add(9);
    double d24 = fraction23.doubleValue();
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction26 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction27 = fraction25.add(fraction26);
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction29 = fraction27.subtract(fraction28);
    org.apache.commons.math3.fraction.Fraction fraction30 = fraction29.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction31 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction32 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction31.add(fraction32);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction31.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction34.negate();
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction34.abs();
    int i37 = fraction29.compareTo(fraction34);
    org.apache.commons.math3.fraction.FractionField fractionField38 = fraction34.getField();
    org.apache.commons.math3.fraction.Fraction fraction39 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction40 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction41 = fraction39.add(fraction40);
    org.apache.commons.math3.fraction.Fraction fraction43 = fraction39.add(9);
    org.apache.commons.math3.fraction.Fraction fraction44 = fraction39.abs();
    org.apache.commons.math3.fraction.Fraction fraction46 = fraction39.multiply(100);
    org.apache.commons.math3.fraction.Fraction fraction47 = fraction34.add(fraction46);
    org.apache.commons.math3.fraction.Fraction fraction48 = fraction23.add(fraction46);
    int i49 = fraction17.compareTo(fraction48);
    org.apache.commons.math3.fraction.Fraction fraction50 = fraction1.add(fraction17);
    org.apache.commons.math3.fraction.Fraction fraction51 = fraction1.negate();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i18 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 9.4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i37 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i49 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction51);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test480"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.fraction.Fraction fraction2 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.add(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction5.divide(10);
    org.apache.commons.math3.fraction.FractionField fractionField9 = fraction8.getField();
    org.apache.commons.math3.fraction.Fraction fraction10 = org.apache.commons.math3.fraction.Fraction.ZERO;
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction8.add(fraction10);
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction16 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i17 = fraction14.compareTo(fraction16);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException19 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable12, (java.lang.Number)fraction13, (java.lang.Number)i17, false);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction13.abs();
    int i21 = fraction20.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction24 = new org.apache.commons.math3.fraction.Fraction(11, 11);
    boolean b25 = fraction20.equals((java.lang.Object)11);
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction10.multiply(fraction20);
    org.apache.commons.math3.exception.util.Localizable localizable27 = null;
    org.apache.commons.math3.fraction.Fraction fraction28 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction31 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i32 = fraction29.compareTo(fraction31);
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException34 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable27, (java.lang.Number)fraction28, (java.lang.Number)i32, false);
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction28.abs();
    int i36 = fraction35.getNumerator();
    org.apache.commons.math3.fraction.Fraction fraction39 = new org.apache.commons.math3.fraction.Fraction(11, 11);
    boolean b40 = fraction35.equals((java.lang.Object)11);
    org.apache.commons.math3.fraction.Fraction fraction42 = fraction35.add(802116969);
    org.apache.commons.math3.fraction.Fraction fraction43 = fraction20.subtract(fraction42);
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException45 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)1.6784953823017017d, (java.lang.Number)fraction43, false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i21 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i32 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i36 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction43);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test481"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(37795, 2160);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 8274.406616342847d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test482"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction2 = new org.apache.commons.math3.fraction.Fraction(1.7453292519943295d);
    int i3 = fraction0.compareTo(fraction2);
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.add(fraction5);
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction4.add(9);
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction4.multiply(900);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction0.subtract(fraction4);
    int i12 = fraction11.intValue();
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction11.divide(1);
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction14.divide(10000);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction14.multiply(49);
    org.apache.commons.math3.fraction.Fraction fraction19 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction19.add(fraction20);
    org.apache.commons.math3.fraction.Fraction fraction22 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction23 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction22.add(fraction23);
    org.apache.commons.math3.fraction.Fraction fraction25 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction26 = fraction24.subtract(fraction25);
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction26.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction29 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction30 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction31 = fraction29.add(fraction30);
    org.apache.commons.math3.fraction.Fraction fraction33 = fraction29.add(9);
    org.apache.commons.math3.fraction.Fraction fraction34 = fraction28.subtract(fraction33);
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction20.divide(fraction28);
    org.apache.commons.math3.fraction.Fraction fraction36 = fraction18.multiply(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test483"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction4.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction6 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = fraction6.add(fraction7);
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction6.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction9.negate();
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction9.abs();
    int i12 = fraction4.compareTo(fraction9);
    org.apache.commons.math3.fraction.FractionField fractionField13 = fraction9.getField();
    byte byte14 = fraction9.byteValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i12 == (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(byte14 == (byte)2);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test484"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)0.6f);
    java.lang.Number number3 = notPositiveException2.getMin();
    java.lang.Throwable[] throwable_array4 = notPositiveException2.getSuppressed();
    boolean b5 = notPositiveException2.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number3 + "' != '" + 0+ "'", number3.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test485"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(20.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test486"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-991000), 520);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test487"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    int i13 = fraction12.getDenominator();
    org.apache.commons.math3.fraction.Fraction fraction14 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction15 = fraction14.negate();
    org.apache.commons.math3.exception.NotPositiveException notPositiveException16 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction14);
    boolean b17 = fraction12.equals((java.lang.Object)fraction14);
    java.lang.String str18 = fraction14.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i13 == 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "2 / 5"+ "'", str18.equals("2 / 5"));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test488"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Throwable throwable7 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)(-1) };
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable9, obj_array11);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable7, localizable8, obj_array11);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException14 = new org.apache.commons.math3.exception.MathArithmeticException(localizable6, obj_array11);
    java.lang.Object[] obj_array15 = new java.lang.Object[] { localizable6 };
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException16 = new org.apache.commons.math3.exception.MathArithmeticException(localizable5, obj_array15);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException17 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable4, obj_array15);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException18 = new org.apache.commons.math3.exception.NullArgumentException(localizable3, obj_array15);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException19 = new org.apache.commons.math3.exception.MathArithmeticException(localizable2, obj_array15);
    org.apache.commons.math3.exception.ConvergenceException convergenceException20 = new org.apache.commons.math3.exception.ConvergenceException(localizable1, obj_array15);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException21 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable0, obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test489"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction2.subtract(fraction3);
    org.apache.commons.math3.fraction.Fraction fraction6 = fraction4.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction7 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = fraction7.add(fraction8);
    org.apache.commons.math3.fraction.Fraction fraction11 = fraction7.add(9);
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction6.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction13 = org.apache.commons.math3.fraction.Fraction.ONE_HALF;
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction13.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction16 = fraction13.divide(100);
    org.apache.commons.math3.fraction.Fraction fraction17 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction18 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction19 = fraction17.add(fraction18);
    org.apache.commons.math3.fraction.Fraction fraction20 = fraction17.reciprocal();
    org.apache.commons.math3.fraction.Fraction fraction21 = fraction13.divide(fraction17);
    java.lang.String str22 = fraction13.toString();
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException24 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)fraction6, (java.lang.Number)fraction13, false);
    java.lang.Throwable[] throwable_array25 = numberIsTooLargeException24.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str22 + "' != '" + "1 / 2"+ "'", str22.equals("1 / 2"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array25);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test490"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.THREE_QUARTERS;
    org.apache.commons.math3.fraction.Fraction fraction1 = fraction0.reciprocal();
    int i2 = fraction1.intValue();
    org.apache.commons.math3.fraction.Fraction fraction4 = fraction1.add(619853853);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test491"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)fraction0);
    boolean b2 = notPositiveException1.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notPositiveException1.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test492"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.7453292519943295d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.0d);

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test493"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)1.1102230246251565E-16d);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test494"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(135, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1));

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test495"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(25);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test496"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(7098637692222491649L, 218251901136838292L);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException");
    } catch (org.apache.commons.math3.exception.MathArithmeticException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathArithmeticException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathArithmeticException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test497"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.FOUR_FIFTHS;
    int i1 = fraction0.getDenominator();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 5);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test498"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(10, 900);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test499"); }


    org.apache.commons.math3.fraction.Fraction fraction0 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction1 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction2 = fraction0.add(fraction1);
    org.apache.commons.math3.fraction.Fraction fraction3 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction4 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction5 = fraction3.add(fraction4);
    int i6 = fraction2.compareTo(fraction3);
    short s7 = fraction2.shortValue();
    org.apache.commons.math3.fraction.Fraction fraction8 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction9 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction10 = fraction8.add(fraction9);
    org.apache.commons.math3.fraction.Fraction fraction11 = org.apache.commons.math3.fraction.Fraction.ONE_FIFTH;
    org.apache.commons.math3.fraction.Fraction fraction12 = fraction10.subtract(fraction11);
    org.apache.commons.math3.fraction.Fraction fraction14 = fraction12.subtract((-127));
    org.apache.commons.math3.fraction.Fraction fraction15 = org.apache.commons.math3.fraction.Fraction.THREE_FIFTHS;
    float f16 = fraction15.floatValue();
    int i17 = fraction12.compareTo(fraction15);
    org.apache.commons.math3.fraction.Fraction fraction18 = fraction2.add(fraction12);
    int i19 = fraction2.intValue();
    org.apache.commons.math3.fraction.Fraction fraction20 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction21 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction22 = fraction20.add(fraction21);
    org.apache.commons.math3.fraction.Fraction fraction24 = fraction20.add(9);
    org.apache.commons.math3.fraction.Fraction fraction25 = fraction20.abs();
    org.apache.commons.math3.fraction.FractionField fractionField26 = fraction20.getField();
    org.apache.commons.math3.fraction.Fraction fraction27 = org.apache.commons.math3.fraction.Fraction.TWO;
    org.apache.commons.math3.fraction.Fraction fraction28 = fraction20.multiply(fraction27);
    org.apache.commons.math3.fraction.Fraction fraction32 = new org.apache.commons.math3.fraction.Fraction((-0.9287117556395867d), 1.6784953823017017d, 0);
    org.apache.commons.math3.fraction.Fraction fraction33 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction34 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction35 = fraction33.add(fraction34);
    org.apache.commons.math3.fraction.Fraction fraction36 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction37 = org.apache.commons.math3.fraction.Fraction.TWO_FIFTHS;
    org.apache.commons.math3.fraction.Fraction fraction38 = fraction36.add(fraction37);
    int i39 = fraction35.compareTo(fraction36);
    org.apache.commons.math3.fraction.Fraction fraction40 = fraction32.add(fraction36);
    boolean b41 = fraction27.equals((java.lang.Object)fraction40);
    org.apache.commons.math3.fraction.Fraction fraction42 = fraction2.subtract(fraction40);
    double d43 = fraction2.percentageValue();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s7 == (short)0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f16 == 0.6f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i19 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fractionField26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i39 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(fraction42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 80.0d);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest5.test500"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(0.16243680941828254d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == (-3));

  }

}
